Package org.eclipse.m2m.atl.emftvm.util

# Class EnumConversionSetOnSet

java.lang.Object
org.eclipse.m2m.atl.emftvm.util.LazyCollection<E>
org.eclipse.m2m.atl.emftvm.util.LazySet<Object>
org.eclipse.m2m.atl.emftvm.util.EnumConversionSetOnSet

All Implemented Interfaces:
  `Iterable<Object>`, `Collection<Object>`, `Set<Object>`

public class EnumConversionSetOnSet extends LazySet<Object>
Converts `Enumerator`s to `EnumLiteral`s.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`EnumConversionSetOnSet.EnumConversionIterator`
`Iterator` for `EnumConversionList`.

## Nested classes/interfaces inherited from class org.eclipse.m2m.atl.emftvm.util.LazySet

`LazySet.ExcludingSet<E>, LazySet.IncludingSet<E>, LazySet.IntegerRangeSet, LazySet.LongRangeSet, LazySet.NonCachingSet<E>`

## Nested classes/interfaces inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection

`LazyCollection.AppendIterator, LazyCollection.CachingIterator, LazyCollection.CachingSetIterator, LazyCollection.CollectIterator<T>, LazyCollection.ExcludingIterator, LazyCollection.FilterIterator, LazyCollection.FlattenIterator, LazyCollection.FlattenSetIterator, LazyCollection.IntegerRangeListIterator, LazyCollection.IntersectionIterator, LazyCollection.IteratorToListIterator, LazyCollection.LongRangeListIterator, LazyCollection.ReadOnlyIterator<E>, LazyCollection.ReadOnlyListIterator<E>, LazyCollection.RejectIterator, LazyCollection.ReverseIterator, LazyCollection.ReverseListIterator, LazyCollection.SelectIterator, LazyCollection.SubListIterator, LazyCollection.SubListListIterator, LazyCollection.SubtractionIterator, LazyCollection.UnionIterator, LazyCollection.UnionSetIterator, LazyCollection.WrappedIterator, LazyCollection.WrappedListIterator`

## Field Summary

### Fields inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection

`cache, dataSource, occurrences`

## Constructor Summary

Constructors
Constructor
Description
`EnumConversionSetOnSet(Set<Object> dataSource)`
Creates a new `EnumConversionSetOnSet` around `dataSource`.

## Method Summary

Modifier and Type
Method
Description
`EnumConversionSetOnSet`
`cache()`
Forces cache completion.
`protected final Object`
`convert(Object object)`
Performs the element conversion.
`protected void`
`createCache()`
Creates the cache collections.
`boolean`
`isEmpty()`
`Iterator<Object>`
`iterator()`
`int`
`size()`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazySet

`asSet, asString, collect, count, equals, excluding, excludingAll, flatten, hashCode, including, including, includingAll, includingAll, includingRange, intersection, intersection, reject, select, sortedBy, subtract, symmetricDifference, union, union`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection

`add, addAll, any, appendElements, asBag, asOrderedSet, asSequence, clear, contains, containsAll, containsAny, excludes, excludesAll, exists, exists2, forAll, forAll2, includes, includesAll, isUnique, iterate, mappedBy, mappedBySingle, max, min, notEmpty, one, product, remove, removeAll, retainAll, sum, toArray, toArray, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream, toArray`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface java.util.Set

`add, addAll, clear, contains, containsAll, remove, removeAll, retainAll, spliterator, toArray, toArray`

## Constructor Details

### EnumConversionSetOnSet

public EnumConversionSetOnSet(Set<Object> dataSource)
Creates a new `EnumConversionSetOnSet` around `dataSource`.

Parameters:
  `dataSource` - the collection to wrap

## Method Details

### iterator

public Iterator<Object> iterator()

Specified by:
  `iterator` in interface `Collection<Object>`
Specified by:
  `iterator` in interface `Iterable<Object>`
Specified by:
  `iterator` in interface `Set<Object>`
Overrides:
  `iterator` in class `LazySet<Object>`

### size

public int size()

Specified by:
  `size` in interface `Collection<Object>`
Specified by:
  `size` in interface `Set<Object>`
Overrides:
  `size` in class `LazyCollection<Object>`

### isEmpty

public boolean isEmpty()

Specified by:
  `isEmpty` in interface `Collection<Object>`
Specified by:
  `isEmpty` in interface `Set<Object>`
Overrides:
  `isEmpty` in class `LazyCollection<Object>`

### cache

public EnumConversionSetOnSet cache()
Forces cache completion.

Returns:
  this list

### convert

protected final Object convert(Object object)
Performs the element conversion.

Parameters:
  `object` - the object to convert
Returns:
  the converted object

### createCache

protected void createCache()
Creates the cache collections.

Overrides:
  `createCache` in class `LazySet<Object>`